import type { QueryConfig, RequestState, ResponseState, AutocompleteResponseState, APIConnector, AutocompleteQueryConfig } from "@elastic/search-ui";
declare type ConnectionOptions = {
    host: string;
    index: string;
    apiKey?: string;
};
declare type SearchConfiguration = {
    queryFields: string[];
};
declare class ElasticsearchAPIConnector implements APIConnector {
    private config;
    private searchConfig;
    state: {};
    constructor(config: ConnectionOptions, searchConfig: SearchConfiguration);
    onResultClick(): void;
    onAutocompleteResultClick(): void;
    onSearch(state: RequestState, queryConfig: QueryConfig): Promise<ResponseState>;
    onAutocomplete(state: RequestState, queryConfig: AutocompleteQueryConfig): Promise<AutocompleteResponseState>;
}
export default ElasticsearchAPIConnector;
